Subject: [babel] [PATCH 4/4] address IETF-97 slides section I point 4

From: Denis Ovsienko <[email-masked]>
Date: Sun, 11 Dec 2016 23:36:06 +0000

"Section 3.3 specifies clearly how to respond to an Acknowledgement
Request TLV and discusses a bit when to send it but there is nothing
defining how to process an expected/unexpected Acknowledgement
(response) TLV or a lack of an expected response."

This change at the end of "Acknowledged Packets" adds a paragraph
stating those details are up to the implementation to confirm this bit
was not missed.
---
 draft-ietf-babel-rfc6126bis/draft-ietf-babel-rfc6126bis.xml | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/draft-ietf-babel-rfc6126bis/draft-ietf-babel-rfc6126bis.xml b/draft-ietf-babel-rfc6126bis/draft-ietf-babel-rfc6126bis.xml
index 4cab5d1..4d866bb 100644
--- a/draft-ietf-babel-rfc6126bis/draft-ietf-babel-rfc6126bis.xml
+++ b/draft-ietf-babel-rfc6126bis/draft-ietf-babel-rfc6126bis.xml
@@ -677,6 +677,9 @@ acknowledgement requests is not necessary, and not even recommended, as
 the acknowledgements cause additional traffic and may force additional
 Address Resolution Protocol (ARP) or Neighbour Discovery exchanges.</t>
 
+<t>Likewise, it is a matter of the same policy how to handle acknowledgements
+that were received without a request or requested but never received.</t>
+
 </section>
 
 <section title="Neighbour Acquisition">
-- 
2.7.4

-- 
    Denis Ovsienko